Skip to main content
Back to API List Use this API to schedule a recurring daily Voice or SMS campaign.
MethodPOST
Endpointhttps://{{host}}/campaign/api/v2/public/{{streamId}}/campaign/schedule?enableSchedule=true&campaignName={{campaignName}}
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeCampaign Management

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
streamIdBotId or StreamId. You can access it from the App Settings page of the bot.string, required

Query Parameters

ParameterDescriptionType
enableScheduleEnable a campaign schedule with either Daily or Weekly recurrence patterns. Set it to true.boolean, required
campaignNameThe name of the Voice or SMS campaign.string, required

Sample Request

curl --location 'https://{{host}}/campaign/api/v2/public/{{streamId}}/campaign/schedule?enableSchedule=true&campaignName={{campaignName}}' \
--header 'auth: {{jwt_token}}' \
--header 'Content-Type: application/json' \
--header 'accountid: {{accountId}}' \
--header 'iid: {{iid}}' \
--data '{
    "startDateTime": "2026-01-27 18:29:00",
    "endDateTime": "2026-02-27 18:29:00",
    "recurrenceObject": {
        "recurType": "Daily",
        "dailyDetails": {
            "onceEveryNdays": 1
        }
    }
}'

Request Headers

HeaderDescriptionType/Required
authJWT token for authentication.string, required
accountIdThe account ID associated with the API request.string, required
Content-TypeThe format in which the request payload is sent to the server. Example: application/jsonstring, required
iidBotId or StreamId. You can access it from the App Settings page of the bot.string, required

Body Parameters

ParameterDescriptionType
startDateTimeThe campaign’s start date and time. Format: YYYY-MM-DD HH:mm:ss.string (Date-Time), required
endDateTimeThe campaign’s end date and time. Format: YYYY-MM-DD HH:mm:ss. Must be greater than both current time and startDateTime.string (Date-Time), required
recurrenceObjectContains the recurrence configuration of a campaign.object, required
recurrenceObject.recurTypeRecurrence type for the campaign. For example, Daily or Weekly.string
recurrenceObject.dailyDetailsDaily recurrence configuration. Required when recurType is Daily.object, required
recurrenceObject.dailyDetails.onceEveryNdaysSpecifies the campaign runs once every N days. For example, 1 = every day, 2 = every alternate day and so on.integer, required

Sample Response

{
    "status": "success",
    "message": "Campaign Agentless Voice | Product Feedback | Jan 9 scheduled successfully",
    "id": "cd-671b3bd-a7a1-4709-bd6a-70803e3xxxxx"
}

Response Parameters

ParameterDescriptionType
statusIndicates the response status. Example: successstring
messageDescriptive message about the result.string
idUnique identifier of the successfully scheduled voice or SMS campaign.string